<?php 
//主管基本資料
$dataquery="SELECT * FROM deanBrief WHERE isDisplay = 'true' ";
$dataquery.="AND parentID= :fillID2";
//執行SQL
$dataStatement = $Database->prepare($dataquery);
$dataStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$dataStatement->execute();

$dataRowset = $dataStatement->fetchAll(PDO::FETCH_ASSOC);
$num_rows = count($dataRowset);    //fetchAll()  	算比數
 if ($num_rows==0) echo "<p class=\"text-center text-warning\">目前沒有主管資料</p>";//	
foreach ($dataRowset as $datarow) {
$deanimgOrig=str_replace("../","",$datarow['imgOrig']);
?>
<!-- secretary -->
<div class="row longtext">
<!-- secretary photo-->
            <div class="col-sm-5 col-lg-5"> 
 <img src="<?php echo $deanimgOrig ?>" class="media-object img-hover img-center" alt="<?php echo $datarow['TwName']; ?>照片">
    </div>
<!-- /secretary photo-->   
<!-- secretary detail -->
    <div class="col-sm-7 col-lg-7"> 
  <h5 class="photo-heading"><?php echo $datarow['TwName']; ?><?php if ($datarow['EnName']!='') echo "( <span class=\"text-primary\"> $datarow[EnName] </span>)"; ?> </h5>   
     <span class="fa-stack fa-lg">
        <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
        <i class="fa fa-phone fa-stack-1x fa-inverse" aria-hidden="true"></i>
        </span>
      辦公室TEL: <?php echo $datarow['officeTel']; ?> <?php if ($datarow['LabTel']!='') echo "　/ 研究室TEL: $datarow[LabTel]"; ?>
   <BR><span class="fa-stack fa-lg">
      <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
      <i class="fa fa-envelope fa-stack-1x fa-inverse" aria-hidden="true"></i>
      </span>
      EMAIL: <img src="include/emailimage.php?email=<?php echo base64_encode($datarow['deanEmail']); ?>" alt="產生email圖片" class="media-object img-hover img-center"/>
	  
<?php 
if ($datarow['deanWeb']!='')
echo "<BR><span class=\"fa-stack fa-lg\">
      <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
      <i class=\"fa fa-globe fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
      </span>
      <a href=\"$datarow[deanWeb]\" tabindex=\"400\" title=\"教學網站(開啟新視窗)\">教學網站</a> 
   "; 
if ($datarow['department']!='')
echo "<BR>
<span class=\"fa-stack fa-lg\">
      <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
      <i class=\"fa fa-university fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
	  </span>系所：$datarow[department] 
"; 
?> 
   </div>
<!-- /secretary   detail-->   
</div>
 <!-- /secretary --> 
<?php
}
?>
<?php 
//主管學歷
         $dean_head="主管學歷";
         $dean_th1="學校名稱";
         $dean_th2="系所名稱或學位名稱";
         $dean_th1note="學校名稱";
         $dean_th2note="系所名稱或學位名稱";	
$bgquery="SELECT * FROM deanData WHERE isDisplay= 'true' AND Dataclass= 'background'";
$bgquery.=" AND fillID= :fillID2 ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$bgStatement = $Database->prepare($bgquery);
$bgStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$bgStatement->execute();
$bgRowset = $bgStatement->fetchAll(PDO::FETCH_ASSOC);
?>
<h2 class="icon_arrow border-bottom"> 學歷 </h2>
 <div class="table-responsive">
<table class="table table-bordered table-striped table-hover table-condensed task-table">
<thead>
<tr>
<th><?php echo $dean_th1?></th>
<th><?php echo $dean_th2?></th>
<th>備註/說明</th>
</tr>
</thead>
<tbody>           
 <?php     	
$bg_rows = count($bgRowset);    //fetchAll()  	算比數
 if ($bg_rows==0) echo "<tr><td colspan=3 class=\"text-center text-warning\">目前沒有學歷資料</td></tr>";//	
foreach ($bgRowset as $bgrow) {
$show_id   = isset($bgrow['ID']) ? $bgrow['ID'] : null;	
$parentID   = isset($bgrow['parentID']) ? $bgrow['parentID'] : null;
$fillID   = isset($bgrow['fillID']) ? $bgrow['fillID'] : null;
$isDisplay   = isset($bgrow['isDisplay']) ? $bgrow['isDisplay'] : null;
$Dataclass   = isset($bgrow['Dataclass']) ? $bgrow['Dataclass'] : null;
$Name   = isset($bgrow['Name']) ? $bgrow['Name'] : null;
$Title   = isset($bgrow['Title']) ? $bgrow['Title'] : null;
$Note   = isset($bgrow['Note']) ? $bgrow['Note'] : null;
$StartDate   = empty($bgrow['StartDate']) ?  null :date('Y/m/d',strtotime($bgrow['StartDate']));
$EndDate   = empty($bgrow['EndDate']) ?  null:date('Y/m/d',strtotime($bgrow['EndDate'])) ;
$AdminID   = isset($bgrow['AdminID']) ? $bgrow['AdminID'] : null;	
$UpdateTime   = isset($bgrow['UpdateTime']) ? $bgrow['UpdateTime'] : null;
 ?>            
   <tr>
     <td data-label="<?php echo $dean_th1?>"><?php echo $Name?>&nbsp;</td>  
     <td data-label="<?php echo $dean_th2?>"><?php echo $Title?>&nbsp;<?php if ($StartDate!=NULL OR $EndDate!=NULL)echo "<small>($StartDate~$EndDate)</small>"; ?></td>  
     <td data-label="備註"><?php echo $Note?>&nbsp;</td>                        
     <?php
 }
	 
 ?> 
</tbody>
 </table>
 </div>
<?php 
//主管經歷
         $dean_head="主管經歷";
         $dean_th1="機關(構)名稱";
         $dean_th2="單位及職稱";
         $dean_th1note="公司/學校名稱";
         $dean_th2note="如理事長...";	
$expquery="SELECT * FROM deanData WHERE isDisplay= 'true' AND Dataclass= 'experience'";
$expquery.=" AND fillID= :fillID2 ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$expStatement = $Database->prepare($expquery);
$expStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$expStatement->execute();
$expRowset = $expStatement->fetchAll(PDO::FETCH_ASSOC);
?>
<h2 class="icon_arrow border-bottom"> 經歷 </h2>
 <ol class="container-list">
 <?php     	
$exp_rows = count($expRowset);    //fetchAll()  	算比數
 if ($exp_rows==0) echo "<p class=\"text-center text-warning\">目前沒有經歷資料</p>";//	
foreach ($expRowset as $exprow) {

$expshow_id   = isset($exprow['ID']) ? $exprow['ID'] : null;	
$expparentID   = isset($exprow['parentID']) ? $exprow['parentID'] : null;
$expfillID   = isset($exprow['fillID']) ? $exprow['fillID'] : null;
$expisDisplay   = isset($exprow['isDisplay']) ? $exprow['isDisplay'] : null;
$expDataclass   = isset($exprow['Dataclass']) ? $exprow['Dataclass'] : null;
$expName   = isset($exprow['Name']) ? $exprow['Name'] : null;
$expTitle   = isset($exprow['Title']) ? $exprow['Title'] : null;
$expNote   = isset($exprow['Note']) ? $exprow['Note'] : null;
$expStartDate   = isset($exprow['StartDate']) ? null :date('Y/m/d',strtotime($exprow['StartDate'])) ;
$expEndDate   = empty($exprow['EndDate']) ? null :date('Y/m/d',strtotime($exprow['EndDate'])) ;
$expAdminID   = empty($exprow['AdminID']) ? $exprow['AdminID'] : null;	
$expUpdateTime   = isset($exprow['UpdateTime']) ? $exprow['UpdateTime'] : null;

if ($expStartDate==NULL AND $expEndDate==NULL){
	$expDate='';	
	}else{
	$expDate="<small>($expStartDate ~ $expEndDate)</small>";
	}
echo "<li>$expName $expTitle $expDate $expNote</li>";
 }
 
 

 
 ?>
 </ol>
<?php 
//更新資訊
$MAXTimequery="SELECT MAX(UpdateTime) AS LastDate FROM deanData WHERE isDisplay= 'true' ";
$MAXTimequery.="AND fillID= :fillID2 ";
//執行SQL
$MAXTimeStatement = $Database->prepare($MAXTimequery);
$MAXTimeStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$MAXTimeStatement->execute();
$MAXTimeRowset = $MAXTimeStatement->fetchAll(PDO::FETCH_ASSOC); 	
$MAXTime_rows = count($MAXTimeRowset);    //fetchAll()  	算比數
 foreach ($MAXTimeRowset as $MAXTimerow) {
if ($MAXTimerow['LastDate']==NULL){
echo "<p class=\"text-right font_t text-warning\">Last Updated: NULL</p>";	
}else{
echo "<p class=\"text-right font_t text-info\">Last Updated: $MAXTimerow[LastDate]</p>";
}
}
 ?> 