<?php 
//基本資料
$dataquery="SELECT *,(SELECT Name FROM organization WHERE organization.ID=deanBrief.organization) As GroupName ";
$dataquery.=",(SELECT Text FROM parameters WHERE parameters.Class='jobtitle' AND parameters.Vaule=deanBrief.jobtitle) As jobName ";
$dataquery.="FROM deanBrief WHERE isDisplay = 'true' ";
$dataquery.="AND parentID= :fillID2 ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$dataStatement = $Database->prepare($dataquery);
$dataStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$dataStatement->execute();

$dataRowset = $dataStatement->fetchAll(PDO::FETCH_ASSOC);
$num_rows = count($dataRowset);    //fetchAll()  	算比數
 if ($num_rows==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($dataRowset as $datarow) {
$maindataID=$datarow['ID'];      
//$deanimgOrig=str_replace("../","",$datarow[imgOrig]);
$deanimgOrig= (!isset($datarow['imgOrig']) ? 'images/members/twu.jpg':str_replace("../","",$datarow['imgOrig']));


?>
<!-- secretary -->
<div class="row longtext">
<!-- secretary photo-->
            <div class="col-sm-5 col-lg-5"> 
 <img src="<?php echo $deanimgOrig ?>" class="media-object img-hover img-center" alt="<?php echo $datarow['TwName']; ?>照片">
    </div>
<!-- /secretary photo-->   
<!-- secretary detail -->
    <div class="col-sm-7 col-lg-7"> 
  <h5 class="photo-heading"><i class="fa fa-building-o" aria-hidden="true"></i> <?php echo $datarow['GroupName']; ?> <i class="fa fa-briefcase" aria-hidden="true"></i> <?php echo $datarow['jobName']; ?></h5>   
<span class="fa-stack fa-lg">
      <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
      <i class="fa fa-id-card fa-stack-1x fa-inverse" aria-hidden="true"></i>
</span><?php echo $datarow['TwName']; ?><?php if ($datarow['EnName']!='') echo "( <span class=\"text-primary\"> $datarow[EnName] </span>)"; ?>   
     <BR><span class="fa-stack fa-lg">
        <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
        <i class="fa fa-phone fa-stack-1x fa-inverse" aria-hidden="true"></i>
        </span>
      辦公室TEL: <?php echo $datarow['officeTel']; ?> <?php if ($datarow['LabTel']!='') echo "　/ 研究室TEL: $datarow[LabTel]"; ?>
   <BR><span class="fa-stack fa-lg">
      <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
      <i class="fa fa-envelope fa-stack-1x fa-inverse" aria-hidden="true"></i>
      </span>
      EMAIL: <img src="include/emailimage.php?email=<?php echo base64_encode($datarow['deanEmail']); ?>" alt="產生email圖片" class="media-object img-hover img-center"/>
<?php 
if ($datarow['deanWeb']!='')
echo "<BR><span class=\"fa-stack fa-lg\">
      <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
      <i class=\"fa fa-globe fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
      </span>
      <a href=\"$datarow[deanWeb]\" tabindex=\"400\" title=\"教學網站(開啟新視窗)\">教學網站</a> 
   "; 
if ($datarow['department']!='')
echo "<BR>
<span class=\"fa-stack fa-lg\">
      <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
      <i class=\"fa fa-university fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
	  </span>系所：$datarow[department] 
"; 
?>
<?php 
$bgquery="SELECT * FROM deanData WHERE isDisplay= 'true' AND Dataclass= 'background' ";
$bgquery.="AND parentID= :parentID AND fillID= :fillID ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$bgStatement = $Database->prepare($bgquery);
$bgStatement->bindParam(":fillID", $showfillID, PDO::PARAM_INT);
$bgStatement->bindParam(":parentID", $maindataID, PDO::PARAM_INT);
$bgStatement->execute();
$bgRowset = $bgStatement->fetchAll(PDO::FETCH_ASSOC);
?>
<h2 class="icon_redcircle"> 工作職掌： </h2>
 <ol class="container-list">        
 <?php     	
$bg_rows = count($bgRowset);    //fetchAll()  	算比數
 if ($bg_rows==0) echo "<p class=\"text-center text-warning\">目前沒有職掌資料</p>";//	
foreach ($bgRowset as $bgrow) {
$bgshow_id=$bgrow["ID"];	
$bgparentID=$bgrow["parentID"];
$bgfillID=$bgrow["fillID"];
$bgisDisplay=$bgrow["isDisplay"];
$bgDataclass=$bgrow["Dataclass"];
$bgName=$bgrow["Name"];
$bgTitle=$bgrow["Title"];
$bgNote=$bgrow["Note"];
$bgStartDate=$bgrow["StartDate"];
$bgEndDate=$bgrow["EndDate"];
$bgAdminID=$bgrow["AdminID"];
$bgUpdateTime=$bgrow["UpdateTime"];
//if ($bgrow["StartDate"]!='' OR $bgrow["EndDate"]!=''){$bgDate="( $bgStartDate ~ $bgEndDate)";}
echo "<li>$bgName $bgNote</li>";
 }
?>
 </ol>
<?php 
$expquery="SELECT * FROM deanData WHERE isDisplay= 'true' AND Dataclass= 'experience' ";
$expquery.="AND parentID= :expparentID AND fillID= :expfillID ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$expStatement = $Database->prepare($expquery);
$expStatement->bindParam(":expfillID", $showfillID, PDO::PARAM_INT);
$expStatement->bindParam(":expparentID", $maindataID, PDO::PARAM_INT);
$expStatement->execute();
$expRowset = $expStatement->fetchAll(PDO::FETCH_ASSOC);
$exp_rows = count($expRowset);    //fetchAll()  	算比數
 if ($exp_rows>0) {
?>
<h2 class="icon_redcircle"> 相關研習及證照： </h2>
<ol class="container-list">
 <?php     	
$expDate=NULL; 
 foreach ($expRowset as $exprow) {
$expshow_id=$exprow["ID"];	
$expparentID=$exprow["parentID"];
$expfillID=$exprow["fillID"];
$expisDisplay=$exprow["isDisplay"];
$expDataclass=$exprow["Dataclass"];
$expName=$exprow["Name"];
$expTitle=$exprow["Title"];
$expNote=$exprow["Note"];
$expStartDate=$exprow["StartDate"];
$expEndDate=$exprow["EndDate"];
$expAdminID=$exprow["AdminID"];
$expUpdateTime=$exprow["UpdateTime"];
if ($exprow["StartDate"]!='' OR $exprow["EndDate"]!=''){$expDate="( $expStartDate ~ $expEndDate)";}
echo "<li>$expName $expTitle $expDate $expNote</li>";
 }
?>
 </ol>
<?php
}
?> 
   </div>
<!-- /secretary   detail-->   
</div>
 <!-- /secretary --> 
 <hr> 
<?php
}
?> 
<?php 
//更新資訊
$MAXTimequery="SELECT MAX(UpdateTime) AS LastDate FROM deanData WHERE isDisplay= 'true' ";
$MAXTimequery.="AND parentID= :expparentID AND fillID= :expfillID ";
//執行SQL
$MAXTimeStatement = $Database->prepare($MAXTimequery);
$MAXTimeStatement->bindParam(":expfillID", $showfillID, PDO::PARAM_INT);
$MAXTimeStatement->bindParam(":expparentID", $maindataID, PDO::PARAM_INT);
$MAXTimeStatement->execute();
$MAXTimeRowset = $MAXTimeStatement->fetchAll(PDO::FETCH_ASSOC); 	
 foreach ($MAXTimeRowset as $MAXTimerow) {
if ($MAXTimerow['LastDate']==NULL){
echo "<p class=\"text-right font_t text-warning\">Last Updated: NULL</p>";	
}else{
echo "<p class=\"text-right font_t text-info\">Last Updated: $MAXTimerow[LastDate]</p>";
}
}
 ?> 